libdevice User's Guide (PDF) - v7.0 (older) - Last updated March 5, 2015 - Send Feedback -

## 3.25. __nv_copysign

Prototype:

    double @__nv_copysign(double %x, double %y)

Description:

Create a floating-point value with the magnitude `x` and the sign of `y`.

Returns:

Returns a value with the magnitude of `x` and the sign of `y`.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes